;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:splot (super plot)
;
; PURPOSE: meme chose que plot mais compatible avec l''ensemble de
; l'environnement (common.pro est inclu)
;
; CATEGORY:dessine
;
; CALLING SEQUENCE: PLOT, [X,] Y
; 
; INPUTS:cd IDL> ?plot
;
; KEYWORD PARAMETERS:
;  meme que ceux de plot avec en plus:
;
;      NOREINITPLT: a actier si on ne veut pas que les variables
;      d''environnemet !p, !x, !y, !z soient reinitialisees par la
;      procedure reinitplt
;
; OUTPUTS:
;
;   Si NOREINITPLT n''est pas ective toutes les variables
;      d''environnemet !p, !x, !y, !z sont reinitialisees par la
;      procedure reinitplt
;
; COMMON BLOCKS:common.pro
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:
;
;      IDL> splot, indgen(10),ystyle=1,petit=[1,2,1],/portrait
;      IDL> splot, -indgen(10),ystyle=1,petit=[1,2,2],/noerase
;      IDL> @ps
;
; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
;                      18/10/1999
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
PRO splot,  x, y, NOREINITPLT = noreinitplt, _EXTRA = ex
@common
; 1) je reinitialise l''environnememt graphique (les variables !x, !y et !p): 
   if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex 
; 2) je place le dessin a l'ecran comme sur le postcript 
   placedessin, 'autre', _extra = ex
; 3) je fais mon joli dessin 
   if n_elements(y) EQ 0 then plot,  x, _EXTRA = ex ELSE plot,  x, y, _EXTRA = ex
; 4) je termine le dessin 
   terminedessin, _extra=ex 
;
   return
end
